package com.ejie.m62fb.model.tipos;

public class RegimenAcceso extends AbstractTipoGenericoP28 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final long NUM_REGISTRO = P28Tipos.REGIMEN_ACCESO;

	/**
	 * Method 'RegimenAcceso'.
	 */
	public RegimenAcceso() {
		super(RegimenAcceso.NUM_REGISTRO);
	}

	/**
	 * Method 'RegimenAcceso'.
	 * 
	 * @param codTabla
	 *            String
	 */
	public RegimenAcceso(String codTabla) {
		super(RegimenAcceso.NUM_REGISTRO, codTabla);
	}

	/**
	 * Method 'RegimenAcceso'.
	 * 
	 * @param codTabla
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public RegimenAcceso(String codTabla, String descripcionEs,
			String descripcionEu) {
		super(RegimenAcceso.NUM_REGISTRO, codTabla, descripcionEs,
				descripcionEu);
	}
}